Unit tass2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASS2E_p;

function tass2e: String;

implementation

function tass2e: String;
var
N,I,ITMAX,_i,IFLAG :Integer;
Q,EPS :Extended;
X :Array [0..4] of Extended;
const
IA :Array [0..5] of Integer = ( 1,2,3,5,6,8 );
JA :Array [0..6] of Integer = ( 5,1,2,1,2,3,1 );
AN :Array [0..6] of Extended = ( 1.0e0,1.0e0,1.0e0,1.0e0,1.0e0,1.0e0,2.0e0 );
AD :Array [0..4] of Extended = ( 4.0e0,2.0e0,2.0e0,8.0e0,16.0e0 );
B :Array [0..4] of Extended = ( 1.0e0,1.0e0,1.0e0,1.0e0,1.0e0 );
label
_1;
begin
Result := '';  {   }

{         ASS2E }

N := 5;
Q := 1.5e0;
for I:=1 to N do
 begin
_1:
  X[I-1] := B[I-1]/AD[I-1];
 end;
EPS := 0.001e0;
ITMAX := 500;
ASS2E(IA,JA,AN,AD,N,B,X,Q,EPS,ITMAX,IFLAG);
Result := Result + Format('%s',[' IFLAG=']);
Result := Result + Format('%5d ',[IFLAG]);
Result := Result + Format('%s',[' _ASS2RR.elm1=']);
Result := Result + Format('%5d ',[_ASS2RR.elm1]) + #$0D#$0A;
Result := Result + Format('%s',[' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tass2e',Result);  {     tass2e.res }
exit;
end;

end.
